﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SL5Binding
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            List<CityInformation> cityList=new List<CityInformation>(){
                new CityInformation(){ CityName="北京", AddrName="中国北京", TelNum="010"},
                new CityInformation(){ CityName="成都", AddrName="中国四川", TelNum="028"},
                new CityInformation(){ CityName="东京", AddrName="日本东京", TelNum="110"},
                new CityInformation(){ CityName="广州", AddrName="中国广东", TelNum="020"},
                new CityInformation(){ CityName="巴黎", AddrName="法国巴黎", TelNum="01x"}
            };
            this.ShowCityList.ItemsSource = cityList;
        }
    }
    /// <summary> 
    /// 城市信息的实体类 
    /// </summary>  
    public class CityInformation
    {
        private string _AddrName;
        private string _CityName;
        private string _TelNum;
        public string AddrName
        {
            get { return _AddrName; }
            set { _AddrName = value; }
        }

        public string CityName
        {
            get { return _CityName; }
            set { _CityName = value; }
        }

        public string TelNum
        {
            get { return _TelNum; }
            set { _TelNum = value; }
        }
    } 
}
